
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>格雷码计数器 / 憋错料</title>

    <meta name="description" content="格雷码计数器 简介 实现FIFO存储器读写指针比较好的方法就是使用格雷码计数器.格雷码计数器的优势在于其相邻两个数值之间只有一位发生变化,提高了系统的抗干扰能力,而且在计数时,各个输出的门电路翻转次数要远远小于二进制计数器,从而可以大幅度降低系统的功耗. 实现格雷码计数器的步骤如下: 将格雷值转换为二进制值. 根据条件递增二进制值. 将二进制值转换为格雷码 将计数器的最终格雷值保存到寄存器中. 格雷码转二进制 格雷码转二进制的公式如下: binn?1=grayn?1bini=grayi?bini+1 格雷码转">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">格雷码计数器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h5>简介</h5>
<p>实现FIFO存储器读写指针比较好的方法就是使用格雷码计数器。格雷码计数器的优势在于其相邻两个数值之间只有一位发生变化，提高了系统的抗干扰能力，而且在计数时，各个输出的门电路翻转次数要远远小于二进制计数器，从而可以大幅度降低系统的功耗。</p>
<p>实现格雷码计数器的步骤如下：</p>
<ol>
<li>将格雷值转换为二进制值。</li>
<li>根据条件递增二进制值。</li>
<li>将二进制值转换为格雷码</li>
<li>将计数器的最终格雷值保存到寄存器中。</li>
</ol>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzc0NTg1NS8yMDE1MDkvNzQ1ODU1LTIwMTUwOTA5MjMwNTI2OTAzLTk4MDU2MDI0Mi5qcGc=.jpg"></p>
<h5>格雷码转二进制</h5>
<p>格雷码转二进制的公式如下：</p>
<p>binn?1=grayn?1bini=grayi?bini+1</p>
<p>格雷码转二进制Verilog代码如下：</p>
<pre><code>module gray_to_bin (gray,bin);

    parameter WIDTH = 8;

    input [WIDTH-1:0] gray;
    output [WIDTH-1:0] bin;
    wire [WIDTH-1:0] bin;

    assign bin[WIDTH-1] = gray[WIDTH-1];
    genvar i;
    generate
        for (i=WIDTH-2; i&gt;=0; i=i-1)
            begin: gry_to_bin
                assign bin[i] = bin[i+1] ^ gray[i];
            end
    endgenerate

endmodule
</code></pre>
<h5>二进制转格雷码</h5>
<p>二进制转格雷码公式如下：</p>
<p>grayn?1=binn?1grayi=bini?bini+1</p>
<p>二进制转格雷码Verilog代码如下：</p>
<pre><code>module bin_to_gray (bin,gray);

    parameter WIDTH = 8;

    input [WIDTH-1:0] bin;
    output [WIDTH-1:0] gray;
    wire [WIDTH-1:0] gray;

    assign gray = bin ^ (bin &gt;&gt; 1);

endmodule
</code></pre>
<h5>格雷码计数器</h5>
<p>将四个步骤组合在一起(格雷码转二进制、加法器、二进制转格雷码、保存格雷码的寄存器)即可实现格雷码计数器，其Verlog代码如下：</p>
<pre><code>module gray_counter(clk, rst_n, gray_dout);
    parameter WIDTH = 8;
    input clk;
    input rst_n;
    output [WIDTH-1:0] gray_dout;

    reg  [WIDTH-1:0] gray_dout;
    wire [WIDTH-1:0] gray_temp;
    wire [WIDTH-1:0] bin_dout;
    wire [WIDTH-1:0] bin_add;

    assign bin_add = bin_out + 1‘b1;
    assign gray_temp = bin_add ^ (bin_add &gt;&gt; 1);

    [email&#160;protected](posedge clk or negedge rst_n) begin
        if(!rst_n)
            gray_dout &lt;= {WIDTH{1‘b0}};
        else
            gray_dout &lt;= gray_temp;
    end

    gray_to_bin gtb(.gray(gray_dout), .bin(bin_dout));
    defparam gtb .WIDTH = WIDTH;

endmodule
</code></pre>
<p>功能仿真结果如下：<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzc0NTg1NS8yMDE1MDkvNzQ1ODU1LTIwMTUwOTA5MjMwNTI3ODA5LTEzMDU3MDA1ODMuanBn.jpg"></p>
<p>如果需要设计更加可靠快速的格雷码计数器，请参考<a href="http://pan.baidu.com/s/1gdtXI1t" rel="external nofollow noreferrer">Advanced Synthesis Cookbook</a></p>
<p><a href="http://www.wiz.cn/i/8d79833a" rel="external nofollow noreferrer">来自为知笔记(Wiz)</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 00:18:45 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>格雷码计数器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Kadem4.html" rel="bookmark">连环锁   格雷码知识&plus;大数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				连环锁 题目抽象:某个格雷码到另一个格雷码最少需要的转换步数. 思路:直接求出对应得十进制,相减取绝对值. 当n=2时变换的序列为00,01,11,10 当n=3时变换的序列为000,001,011,010,110,111,101,100 …… 仔细观察发现这正是格雷码,相邻两个状态只有一位不同(实际上题目描述已经说了这个条件)! 十进制数 自然二进制数 格雷码 0 0000 0000 1 0001 0001 2 0010 0011 3 0011 0010 4 0100 0110 5 0101			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBAxwg4.html" rel="bookmark">【格雷码】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/* 格雷码 说明: Gray Code是一个数列集合 ,每个数使用二进位来表示 ,假设使用n位元来表示每个数好了 ,任两个数之间只有一个位元值不同, 例如以下为3位元的Gray Code: 000 001 011 010 110 111 101 100 由定义可以知道,Gray Code的顺序并不是唯一的,例如将上面的数列反过来写,也是一组GrayCode: 100 101 111 110 010 011 001 000 Gray Code是由贝尔实验室的Frank Gray在1940年代提出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBAEAJ4.html" rel="bookmark">FPGA学习笔记之格雷码、边沿检测、门控时钟</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.格雷码 格雷码的优点主要是进位时只有一位跳变,误码率低. 1.二进制转格雷码 我们观察下表: 二进制码 格雷码 00 00 01 01 10 11 11 10 二进制码表示为B[],格雷码表示为G[],则有 G(i) = B(i),i为最高位 G(i-1) = B(i) xor B(i-1),i非最高位 用verilog可以这样写 1 reg [WIDTH-1:0] bin; 2 reg [WIDTH-1:0] gray; 3 parameter WIDTH = 8; 4 always @(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3r2Rlb3.html" rel="bookmark">格雷码的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题:产生n位元的所有格雷码. 格雷码(Gray Code)是一个数列集合,每个数使用二进位来表示,假设使用n位元来表示每个数字,任两个数之间只有一个位元值不同. 例如以下为3位元的格雷码: 000 001 011 010 110 111 101 100 . 如果要产生n位元的格雷码,那么格雷码的个数为2^n. 假设原始的值从0开始,格雷码产生的规律是:第一步,改变最右边的位元值:第二步,改变右起第一个为1的位元的左边位元:第三步,第四步重复第一步和第二步,直到所有的格雷码产生完毕(换句话说,已			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0x811j0.html" rel="bookmark">生成格雷码  转自leetcode</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在一组数的编码中,若两个相邻的代码中只有一个二进制数不同,则称这种编码为格雷码. 下面尝试使用递归的方法来生成格雷码 vector&lt;int&gt; GrayCode(int n){//n表示格雷码的位数 if(n==0) return vector&lt;int&gt;(1)//返回只有一个0的容器 vector&lt;int&gt; res=GrayCode(n-1);//采用递归方法 for(int i=res.size()-1 ; i &gt;=0 ;i-- )//采用从后往前的方式 res.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0d5zm93.html" rel="bookmark">格雷码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				*/--&gt; pre.src {background-color: Black; color: White;} 格雷码 void gray_create(int n) { int a[n]; for (int i = 0; i &lt; (i&lt;&lt;n); i++) { a[i] = i^(i&gt;&gt;1); } for (int i = 0; i &lt; n; i++) { printf(&quot;%d\n&quot;, a[i]); } } Date: 2015-01-23 00			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEZ7GP0.html" rel="bookmark">判断两个byte是否互为格雷码。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果两个byte的二进制表示中仅有一位不同,则它们互为格雷码,写个函数判断两个byte是否互为格雷码. public class IsCogray { public boolean isCogray(char a, char b) { int m = a ^ b; return m != 0 &amp;&amp; (m &amp; (m - 1) &amp; 0xff) == 0; } public static void main(String[] args) { IsCogray ic = new I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/418N2G3.html" rel="bookmark">v3学院 FPGA专家 带你学习FPGA实现格雷码跨时钟域异步fifo</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当由慢时钟域到快时钟域,肯定需要一个buffer做缓冲,这样才能完成时钟域的转换.一般这种情况都选择FIFO来做缓冲. 当读写FIFO的时钟不同那么称为异步FIFO,FIFO就是一个&quot;环形存储器&quot;读操作会把读指针指向下一个读数据,写操作会把写指针指向下一个写数据地址.当读指针追上写指针时称作读空,当写地址追上读地址时称作写满. 读空,写满标志的产生 格雷码地址编码产生 异步fifo整体逻辑框图 请扫二维码加入fpga圈 代码实现请持续关注,下次讲解! 本文章原创,来自v3学院 www.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBRadKM.html" rel="bookmark">格雷码输出</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				格雷码打印:打印出0~2n-1数,且相邻两个数只有一位不同. #include&lt;iostream&gt; #include&lt;vector&gt; using namespace std; int main() { int n; cin&gt;&gt;n; vector&lt;int&gt; result; result.push_back(0); for(int i=0;i&lt;n;i++) { int high_bit=1&lt;&lt;i; for(int j=result.size()			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/7MVg810.html" rel="bookmark" class="title">BZOJ 4720 &lbrack;Noip2016&rsqb;换教室</a>
					<div>
						4720: [Noip2016]换教室 Description 对于刚上大学的牛牛来说,他面临的第一个问题是如何根据实际情况申请合适的课程.在可以选择的课程中,有2n节课程安排在n个时间段上.在第i( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLGAr0.html" rel="bookmark" class="title">详解企业移动门户之子应用嵌入实现方法</a>
					<div>
						在企业移动门户中,如正益工作,可以支持第三方子应用的嵌入,让移动门户无限扩展更多功能:工作报告.移动OA.考勤.公告等等.如何实现子应用的嵌入呢?本文将为你详细介绍使用AppCan开发的实现方法. 上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGEGA63.html" rel="bookmark" class="title">类中定义的方法，self参数</a>
					<div>
						class a(): def __init__(self): self.aa = 5 def test(): print &quot;haha&quot; a.test() self指的是对象本身,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dxDeZ0.html" rel="bookmark" class="title">JS 条件运算符</a>
					<div>
						variablename=(condition)?value1:value2					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPdxnaM.html" rel="bookmark" class="title">C&plus;&plus;笔记第四章--类型和声明</a>
					<div>
						布尔量 Eg: bool b1=a==b;//这个例子中,=是赋值,==是判断是否相等,所以先是判断是否相等,a如果等于b,b1的值就是true,否则就是false了 Bool经常被用作检查某些条件是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lG9aEM.html" rel="bookmark" class="title">android编译系统简要分析与使用</a>
					<div>
						开发Linux编程的程序员都清楚,Makefile是一个很重要的文件,该文件一个重要作用就是指定了编译规则.如此庞大的android系统源码当然也不例外了. android源码中Android.mk就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5jpr3.html" rel="bookmark" class="title">Linux之nc命令详解</a>
					<div>
						nc是一个强大的网络工具,可以通过yum安装 [[email protected] ~]# which nc /usr/bin/which: no nc in (/usr/local/sbin:/us ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wy9mjM.html" rel="bookmark" class="title">qt引入VS2010编译的dll</a>
					<div>
						在qt中引入dll文件的时候,如果这个dll是qt编译的,直接把dll和lib文件拷到目录下,然后用 #pragma comment(lib,&quot;./xx.lib&quot;) 引入这个dll ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4ARzJZM.html" rel="bookmark" class="title">Ubuntu 14 下，安装VirtualBox增强插件</a>
					<div>
						一般安装完VirtualBox之后就可以打开虚拟机了,但发现默认情况下是无法满屏播放虚拟机的,所以,这个时候就需要安装VirtualBox的增强插件来支持. 我在Ubuntu下安装一个Windows  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47mRBo0.html" rel="bookmark" class="title">JavaScript之字符串匹配工具&lbrack;插件&rsqb;</a>
					<div>
						/*** * StringCheckUtil * 字符串检测工具 * * @version 1.0 * @method isNum(string,scope) * @method isChinese( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgNaAB4.html" rel="bookmark" class="title">1118form表单</a>
					<div>
						表单标签form包含 1.文本输入 输入标签input,type输入的格式,value为默认值(默认文字是什么) 文本框text,如账号框&lt;input type=&quot;text&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38pDgy3.html" rel="bookmark" class="title">php中的设计模式之--代理模式</a>
					<div>
						&lt;?php /* 代理模式 代理模式是一种结构型模式,它可以为其他对象提供一种代理以控制对这个对象的访问. 例如武则天提供一个代理 替李治管理国家(对象) // 角色 ? 抽象主题角色(Subj ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vBpxg3.html" rel="bookmark" class="title">《那些我们没谈过的事》-马克&period;李维</a>
					<div>
						这两天有幸进入公司图书馆,看到了&lt;那些我们没谈过的事&gt;,一开始看不知道这本书讲的是哪方面,随着今天中午再次进入翻看了两篇,以及在网上进行试读,大概了解了讲的是女儿与父亲之间的事.后面发现与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AaRkD4.html" rel="bookmark" class="title">转：Ubuntu 10&period;10 安装后上不了网的原因</a>
					<div>
						最近新装了个Ubuntu10.10 发现上不了网,折腾了很久,在网上找了很多办法都不行,最后试了一招居然管用了.特此总结下Ubuntu了网的原因及对策分析. 环境:Ubuntu 10.10网络: 通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n7xko3.html" rel="bookmark" class="title">数学表达式解析小工具 &lpar;开源&rpar;</a>
					<div>
						功能很简单,输出一个数学表达式的字符串,输出一个结果值.还算是挺好用的一个小工具吧,比起系统自带的计算器来,它能够很方便的显示表达式.之前我曾发布过一个版本,新版本的界面与旧版本一模一样,不同的是:我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6b1zM.html" rel="bookmark" class="title">最近访问的网页</a>
					<div>
						https://codedump.io/share/43PPvXSAmXmc/1/angularjs-and-jqgrid https://github.com/swimlane/ngx-datata ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xAL6n3.html" rel="bookmark" class="title">前端菜鸟的编程之路（2）</a>
					<div>
						&lt;html&gt; &lt;body&gt; &lt;script src=&quot;http://apps.bdimg.com/libs/jquery/2.1.4/jquery.js&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35p6aE0.html" rel="bookmark" class="title">移动平台作业&mdash;&mdash;天气预报&mdash;&mdash;天气数据的获得&mdash;&mdash;为应用申请百度ak码</a>
					<div>
						需求: 可切换城市 可实时更新(按钮或手势或下拉刷新) 可现实未来三日的天气 不限制横屏或者竖屏,不限制布局样式,但要求得到的数据均需显示(北京.天气数据.天气图标) 提示: 获得实时天气数据(任选一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rao7X0.html" rel="bookmark" class="title">cf 460C</a>
					<div>
						J - Present Time Limit:2000MS     Memory Limit:262144KB     64bit IO Format:%I64d &amp; %I64u Submit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rDR8gM.html" rel="bookmark" class="title">思科CCNA第三学期第五章答案</a>
					<div>
						1.请参见图示. 从图中所示的输出可得出什么结论? 在 Fa0/2 和 Fa0/4 之间通信的两台主机的开销为 38. 已经静态配置了优先级,目的在于确定根. 此交换机上禁用了 STP. 已经更改了计 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
